<template>
  <div id="app">

    <h3> {{ screen }} </h3>

    <div v-if="screen === 'intro'">
      <div style="margin: 20px;"> Ready play {{ name }}? </div>
      <button v-on:click="start">start</button>
    </div>

    <div
      class="display"
      v-if="screen === 'Pallet town'"
    >
      <Scene />
      <Sacha />
    </div>

  </div>
</template>

<script>
import Scene from './components/Scene.vue'
import Sacha from './components/Sacha.vue'

export default {
  components: {
    Scene,
    Sacha
  },
  data () {
    return {
      screen: 'intro',
      name: "PokeVue"
    }
  },
  methods: {
    start () {
      this.screen = 'Pallet town'
    }
  }
}
</script>

<style>
@font-face {
  font-family: pokemon;
  src: url(/fonts/pokemon-font.woff);
}

#app {
  font-family: pokemon;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin: 60px;
}

.display {
  position: relative;
  display: inline-block;
}
</style>
